Subject: Re: [PATCH v2 rfc 0/8] IGMP snooping for local traffic

From: Stephen Hemminger <[email-masked]>
Date: Wed, 6 Sep 2017 08:27:55 -0700

On Wed, 6 Sep 2017 02:47:03 +0200
Andrew Lunn <[email-masked]> wrote:

> > The third and last issue will be explained in a followup email.  
> 
> Hi DSA hackers
> 
> So there is the third issue. It affects just DSA, but it possible
> affects all DSA drivers.
> 
> This patchset broken broadcast with the Marvell drivers. It could
> break broadcast on others drivers as well.
> 
> What i found is that the Marvell chips don't flood broadcast frames
> between bridged ports. What appears to happen is there is a fdb miss,
> so it gets forwarded to the CPU port for the host to deal with. The
> software bridge when floods it out all ports of the bridge.
> 

That sounds like a good feature. There environments where you want
to disable broadcast between certain ports. It lets the bridge get
at the traffic for firewall filtering.